﻿#pragma once

#include <string>
#include <vector>
#include "../../Datastructure/CarDealerScheme/CarDealerScheme.h"
#include "../../Datastructure/CarDealerAchievement/CarDealerAchievement.h"
#include "../../Datastructure/RepairOrder/RepairOrder.h"

void LoadCarDealerSchemeFromXlsx( const std::wstring &           filePath,
                                  unsigned int                   sheetIndex,
                                  unsigned int                   startRowIndex,
                                  std::vector<CarDealerScheme> & schemeVector );

void LoadCarDealerAchievementFromXlsx( const std::wstring &                filePath,
                                       unsigned int                        sheetIndex,
                                       unsigned int                        startRowIndex,
                                       std::vector<CarDealerAchievement> & achievementVector );

void LoadRepairOrderFromXlsx( const std::wstring &       filePath,
                              unsigned int               sheetIndex,
                              unsigned int               startRowIndex,
                              std::vector<RepairOrder> & orderVector );

void LoadRepairOrderFromXls( const std::wstring &       filePath,
                             unsigned                   sheetIndex,
                             unsigned                   startRowIndex,
                             std::vector<RepairOrder> & orderVector );

//void LoadRepairOrderFromXlsx();
